Module java.base
Package java.io

# Class EOFException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.EOFException

All Implemented Interfaces:
  `Serializable`

public class EOFException extends IOException
Signals that an end of file or end of stream has been reached unexpectedly during input.

This exception is mainly used by data input streams to signal end of stream. Note that many other input operations return a special value on end of stream rather than throwing an exception.

Since:
  1.0
See Also:
  - `DataInputStream`
  - `IOException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EOFException()`
Constructs an `EOFException` with `null` as its error detail message.
`EOFException(String s)`
Constructs an `EOFException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EOFException

public EOFException()
Constructs an `EOFException` with `null` as its error detail message.

### EOFException

public EOFException(String s)
Constructs an `EOFException` with the specified detail message. The string `s` may later be retrieved by the `Throwable.getMessage()` method of class `java.lang.Throwable`.

Parameters:
  `s` - the detail message.